Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2021-02348, UID# 2982
App. Status: Expired

Valid: 02/23/2021 - 02/26/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2682 (02/22/2021)

Charge Cost Quantity Total
Non-Taxable
added 02/22/2021 1:44 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $30.00
Payment 02/22/2021$30.00
Due$0.00
Action: Print  

Invoice #2683 (02/22/2021)

Charge Cost Quantity Total
Non-Taxable
added 02/22/2021 2:49 PM

Base fee for drilling rigs and workover rigs. Select additional fees from the schedule based on vehicle size and weight.

$500.00 x 1 $500.00
added 02/22/2021 2:49 PM

Workover Rigs & Cranes 110,001 - 115,000 lbs

$80.00 x 1 $80.00
added 02/22/2021 2:49 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $610.00
Payment 02/22/2021$610.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 02/22/2021 1:44 PM
6ec35351204112c06844d96e8b6c7aa9
2d174ae6e4beea1c97d9aadcaf1cf43a
 
#1 Permit Issuing OfficialRachel Grimm - 02/22/2021 2:50 PM
99c7ecf38ead3a3eb85751f2f92f5c3a
383c5bd20b9defaa8a9800382a87c86d
 
Permit has been approved. All signatures have been obtained.